Display (VRE Manager Portlet 6.0.0-4.6.0-129692 API)
Date: 2017-07-29

org.gcube.portlets.admin.vredeployment.client.view

## Interface Display

- All Known Implementing Classes:
    VREDeploymentView

      public interface Display

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.user.client.ui.Widget` | `asWidget()`
    `void` | `enableActionButtons(VREDefinitionBean selectedItem)`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getApproveButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getApproveMenu()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getEditButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getEditMenu()`
    `com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean>` | `getGridSelectionModel()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getPostPoneButton()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getRefreshButton()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getRemoveButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getRemoveMenu()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getUndeployButton()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getViewButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewMenu()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getViewReportButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewReportMenu()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getViewTextualReportButton()`
    `void` | `maskCenterPanel(String message, boolean mask)`
    `void` | `setData(List<VREDefinitionBean> data)`
    `void` | `setGridContextMenu(String vreStatus)`
    `void` | `showDetailsDialog(String html2Show)`
    `void` | `updateSize()`

- - ### Method Detail

    - #### maskCenterPanel

          void maskCenterPanel(String message,
                               boolean mask)

    - #### setData

          void setData(List<VREDefinitionBean> data)

    - #### asWidget

          com.google.gwt.user.client.ui.Widget asWidget()

    - #### updateSize

          void updateSize()

    - #### enableActionButtons

          void enableActionButtons(VREDefinitionBean selectedItem)

    - #### showDetailsDialog

          void showDetailsDialog(String html2Show)

    - #### setGridContextMenu

          void setGridContextMenu(String vreStatus)

    - #### getViewButton

          com.extjs.gxt.ui.client.widget.button.Button getViewButton()

    - #### getEditButton

          com.extjs.gxt.ui.client.widget.button.Button getEditButton()

    - #### getViewReportButton

          com.extjs.gxt.ui.client.widget.button.Button getViewReportButton()

    - #### getRemoveButton

          com.extjs.gxt.ui.client.widget.button.Button getRemoveButton()

    - #### getApproveButton

          com.extjs.gxt.ui.client.widget.button.Button getApproveButton()

    - #### getRefreshButton

          com.extjs.gxt.ui.client.widget.button.Button getRefreshButton()

    - #### getViewTextualReportButton

          com.extjs.gxt.ui.client.widget.button.Button getViewTextualReportButton()

    - #### getPostPoneButton

          com.extjs.gxt.ui.client.widget.button.Button getPostPoneButton()

    - #### getUndeployButton

          com.extjs.gxt.ui.client.widget.button.Button getUndeployButton()

    - #### getViewMenu

          com.extjs.gxt.ui.client.widget.menu.MenuItem getViewMenu()

    - #### getEditMenu

          com.extjs.gxt.ui.client.widget.menu.MenuItem getEditMenu()

    - #### getViewReportMenu

          com.extjs.gxt.ui.client.widget.menu.MenuItem getViewReportMenu()

    - #### getRemoveMenu

          com.extjs.gxt.ui.client.widget.menu.MenuItem getRemoveMenu()

    - #### getApproveMenu

          com.extjs.gxt.ui.client.widget.menu.MenuItem getApproveMenu()

    - #### getGridSelectionModel

          com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean> getGridSelectionModel()

Copyright © 2017. All Rights Reserved.